{ platform, execFormats, ... }:

let
  f = { isGenode ? false, ... }:
    if isGenode then {
      uname.system = "Genode";
      useLLVM = true;
      kernel = {
        name = "genode";
        execFormat = execFormats.elf;
        families = { };
      };
      abi = "elf";
      libc = "genodelibc";
      extensions = { executable = ""; sharedLibrary = ".lib.so"; };
    } else { };
in f platform
